package test.app;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.server.EnableEurekaServer;
import org.springframework.context.annotation.ComponentScan;


/**
 *
 * @author eshkel
 *  -Dspring.cloud.bootstrap.enabled=false  -Dspring.cloud.config.enabled=false
 */
@SpringBootApplication
@EnableEurekaServer
@ComponentScan(useDefaultFilters = false) // Disable component scanner - this is needed for skip the starting config server within this app
public class RegistryService {

    
    public static void main(String[] args) {
        // Tell server to look for registry-service.properties or registry-service.yml
        System.setProperty("spring.config.name", "registry-service");
        SpringApplication.run(RegistryService.class, args);
    }


}