package test.app;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.client.ServiceInstance;
import org.springframework.cloud.client.loadbalancer.LoadBalancerClient;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.stereotype.Component;

@SpringBootApplication
@EnableEurekaClient
public class Application {

    public static void main(String[] args) {
        System.setProperty("spring.config.name", "test-app");
        new SpringApplicationBuilder(Application.class)
                .web(false)
                .run(args);
    }
}

@Component
class LoadBalancerExample implements CommandLineRunner {

    @Autowired
    private LoadBalancerClient loadBalancer;

    @Override
    public void run(String... strings) throws Exception {
        ServiceInstance instance1 = loadBalancer.choose("SERVICE1");
        System.out.println("SERVICE1                           " + instance1.getUri());
        ServiceInstance instance2 = loadBalancer.choose("SERVICE2");
        System.out.println("SERVICE2                           " + instance2.getUri());
    }
}
